> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Exchange Rates

> List exchange rates for an organization.



## OpenAPI

````yaml /api/openapi-finindex.json get /api/v1/exchange-rates
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/exchange-rates:
    get:
      tags:
        - Exchange Rates
      summary: List Exchange Rates
      description: List exchange rates for an organization.
      operationId: list_exchange_rates_api_v1_exchange_rates_get
      parameters:
        - name: org_id
          in: query
          required: true
          schema:
            type: string
            title: Org Id
        - name: base_currency
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Base Currency
        - name: target_currency
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Target Currency
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedExchangeRatesResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedExchangeRatesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ExchangeRateResponse'
          type: array
          title: Data
        pagination:
          $ref: >-
            #/components/schemas/routers__external__exchange_rates__PaginationInfo
      type: object
      required:
        - data
        - pagination
      title: PaginatedExchangeRatesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExchangeRateResponse:
      properties:
        id:
          type: string
          title: Id
        org_id:
          type: string
          title: Org Id
        base_currency:
          type: string
          title: Base Currency
        target_currency:
          type: string
          title: Target Currency
        rate:
          type: number
          title: Rate
        effective_date:
          type: string
          title: Effective Date
        source:
          type: string
          title: Source
        created_at:
          type: string
          title: Created At
      type: object
      required:
        - id
        - org_id
        - base_currency
        - target_currency
        - rate
        - effective_date
        - source
        - created_at
      title: ExchangeRateResponse
    routers__external__exchange_rates__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````